<?php 
/**
 * General settings 
 *
 * @package    ChatGPT-OpenAI Content Generator
 * @license    GNU General Public License, version 3
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class mych_Chatgpt_General_Settings_Page {

    public function __construct() {

        add_action( 'admin_init', array( $this,'cicg_register_chatgpt_plugin_settings') );
	
	}

    public function cicg_register_chatgpt_plugin_settings() {
        //register our settings
        register_setting( 'cicg-chatgpt-openai-content-generator-settings-group', 'cicg_chatgpt_api_key' );
        register_setting( 'cicg-chatgpt-openai-content-generator-settings-group', 'cicg_chatgpt_api_max_tokens' );
        register_setting( 'cicg-chatgpt-openai-content-generator-settings-group', 'cicg_api_temperature' );
        register_setting( 'cicg-chatgpt-openai-content-generator-settings-group', 'cicg_gpt_version' );

    }


    
    
    }
    
   $my_plugin1 = new mych_Chatgpt_General_Settings_Page();